<?php
class Poblaciones extends AppObjeto {
	
	
	//Propiedades
	protected $codigoPostal;
	protected $codigoPais;
	protected $poblacion;
			
	/* para conectar con bd */
	protected static $_aliasTabla = 'pob';
	protected static $_nombreTabla = 'POBLACIONES';
	protected static $_campoPK = 'CP';
	protected static $_tipo_primary = self::APP_TIPO_PRIMARY_STRING;
	
	
	// initmetadatos
	protected static function initMetaDatos(){
	
		self::addPropiedadBD('pob', 'CP', 'codigoPostal', self::META_VARCHAR);
		self::addPropiedadBD('pob', 'PAIS', 'codigoPais', self::META_VARCHAR);
		self::addPropiedadBD('pob', 'POBLA','poblacion', self::META_VARCHAR);
		
	}
	
	public static function getPoblacionProvinciaByCP($codigoPostal, $codigoPais) {
		if (!$codigoPais>0)
			$codigoPais=34;
		$select = self::selectObjeto();
		$select->joinLeft(array('pr'=>'provincia'), 'substring(pob.CP,1,2)=substring(pr.CP,1,2) and pob.PAIS=pr.PAIS', array('provincia'=>'pr.prov'));
		$select->where('pob.cp=?',$codigoPostal);
		$select->where('pob.pais=?',$codigoPais);
		$resultado = self::selectExecute($select);
		return $resultado;
	}
}